<template>
  <v-card class="mx-auto" max-width="400">
    <v-img class="white--text align-end" height="200px" :src="personaje.PicUrl">
      <v-card-title>{{ personaje.Name }}</v-card-title>
    </v-img>

    <v-card-text class="text--primary">
      <label>Profesión: {{ personaje.Profession }}</label>
      <br />
      <label>Especie: {{ personaje.Species }}</label>
      <br />
      <label>Planeta: {{ personaje.Planet }}</label>
      <br />
    </v-card-text>

    <v-card-actions>
      <v-btn color="warning" text @click="eliminar"> Eliminar </v-btn>

      <v-btn color="success" text> Actualizar </v-btn>
    </v-card-actions>
  </v-card>
</template>

<script>
export default {
  props: ["personaje"],
  data: () => {
    return {};
  },
  methods: {
    eliminar() {
      console.log("Personaje eliminado");
      console.error("error al eliminar");
      console.table({ clave_1: "valor_1", clave_2: "valor_2" });
      alert("Eliminar");
    },
  },
  created: () => {},
};
</script>

<style>
</style>